WordPress.org

Ready to get started?Download WordPress

Forums

WordPress CSV Importer
[resolved] breaks wordpress site (10 posts)

  1. thezaner
    Member
    Posted 2 years ago #

    requests php version 5.3 - then shuts down WP entirely until plugin is deleted from the server manually. And if not deleted, it goes into a sales page for a seperate hosting company thats a rip-off. Sorry ... only one star .. if I had the choice, Id give it .1 stars.

    http://wordpress.org/extend/plugins/wordpress-csv-importer/

  2. WebTechGlobal
    Member
    Plugin Author

    Posted 2 years ago #

    Thank you for trying this new plugin.

    The plugin shows very clearly that this is a beta, there will be the occasional issue.

    What do you mean when you say it requests php version 5.3?

    There is an "exit" in php to stop the plugin being used any further, however it should only happen when looking at the plugin pages. Clicking back in your browser and going to another WordPress admin page should work fine. However I will look at that again, probably remove the "exit()" and just display a message.

    I'm not sure what you mean about the hosting, could you make it clear what your doing please. I can't see how the plugin can send you to another page, after it shutting your WordPress blog down. It would need your blog to be running to perform such actions.

    Also the hosting could be our hosting service.

    There is a lot more to come for this plugin, any time you spend trying the next version is appreciated.

    Thank you for your feedback, your probably the first on this forum to give any.

  3. WebTechGlobal
    Member
    Plugin Author

    Posted 2 years ago #

    Oh and what version of the plugin are you using?

    As for the hosting issue. I'm assuming your not using PHP 5.3 and the plugin got that part correct. I recommend you upgrade. Most hosting will allow it. That is where our hosting comes in.

    If someone is having problems, we offer low cost, often FREE for 1 year web hosting.

    What you suggested is if the plugin is not deleted, it goes to a sales page. Can you be clearer on that. Do you mean your browser is forwarded to the hosting? I'm about to check it I just need to make sure I know your actions and the plugins behavior.

  4. WebTechGlobal
    Member
    Plugin Author

    Posted 2 years ago #

    Looking at the code now.

    The message displayed would include this link...

    WebTechGlobal Hosting

    The way you have worded your comment sounds like it sends you to this without user action. Right now I'm guessing you never meant that the plugins forwards you to to the link and anyone reading this should be clear on it.

    If a plugin error then triggers the browser to be forwarded to a sales page for hosting. The plugin would be removed from WordPress.org, so I just had to make this very clear.

  5. thezaner
    Member
    Posted 2 years ago #

    when I said it forwards the user to the web hosting company, the page that displays says "PHP 5.3 required. IF you need hosting ..." Then there is a link. So even if the plugin does not work, it shuts the entire blog down from pages and also on posts. If you try to navigate the blog, it gives up that error, and no longer allows you to even uninstall the plug-in from the plug-ins page. I had to delete it manually from the server for my system to come back to normal.

    I have since upgraded to 5.3 on a different server and will be willing to check it out in a testing environment.

  6. WebTechGlobal
    Member
    Plugin Author

    Posted 2 years ago #

    Sorry for so many replies but I've finished making the required changes in response to this post. Next version will handle this better. There was also a line...

    "deactivate_plugins( __FILE__ );"

    This is wrong as it is not used in the plugins main file. I have changed it too...

    deactivate_plugins( 'wordpress-csv-importer' );

    So the plugin was meant to deactive when php version 5.2 or less was in use. Sorry about that and thanks very much for letting me know.

  7. thezaner
    Member
    Posted 2 years ago #

    thanks for the quick responses too. I am surprised! I am sorry for the first post. I was just freakin' out because the blog went down! :)

  8. WebTechGlobal
    Member
    Plugin Author

    Posted 2 years ago #

    Great thezaner thanks for the offer.

    Updating plugin right now.

  9. Zara Walsh
    Member
    Plugin Author

    Posted 2 years ago #

    Hi thezaner

    Just letting you know version 0.1.4 will be released within the next 24 hours. The jQuery UI tabs will be easier to work with.

    Zara

  10. Zara Walsh
    Member
    Plugin Author

    Posted 2 years ago #

    thezaner I notice the plugins rating has not changed. Have you had a chance to try the newer version?

    We are hoping to release another version today also.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.